Subject: [TR] Score one for the good guys

From: <[email-masked]>
Date: Tue, 28 Jun 2016 0:06:36 +0000

Not a fix or a problem but more of a story or comment, but since we are on autox.team.net and it involves a Triumph probably appropriate.

I have been autocrossing my TR250 for a number of years, but decided it was time to try something else as I can't quite keep up with the Sprites and Miatas.  Didn't want spend a ton of money wanted something different, got a cheap Porsche 924, put on new struts and shocks, upgrade to factory sport option sway bars, a few other tricks and adjustments gleaned from Internet wisdom and some sticky summer performance tires and she is ready to go. 

First time out was yesterday, a little disappointed with the times.  I am close to home, decide to get the TR at the noon break.  Without getting a stellar run in it is about a second quicker than the "modern" Porsche.  Same course, same driver, different car.

Less sticky tires, more flexible chassis, front weight bias overcome by good old fashioned chuckability and super dooper low end torque coming out of the corners.

Score one for the good guys.

Regards,

Greg Lemon
TR250

** [email-masked] **

Archive: http://www.team.net/archive